Bug 2002404 - modular nginx 1.20 default webroot index.html symlink points to invalid file
Summary: modular nginx 1.20 default webroot index.html symlink points to invalid file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nginx
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-08 17:31 UTC by George Machitidze
Modified: 2021-09-24 21:45 UTC (History)
9 users (show)

Fixed In Version: nginx-1.20-3320210908185433.601d93de nginx-1.20-3420210908185433.058368ca nginx-1.20-820210908185433.9edba152 nginx-1.20-3520210908185433.f27b74a8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-17 15:39:08 UTC
Type: Bug


Attachments (Terms of Use)

Description George Machitidze 2021-09-08 17:31:52 UTC
Description of problem:
symlink:
/usr/share/nginx/html/index.html -> ../../fedora-testpage/index.html
/usr/share/fedora-testpage/index.html is fedora-specific and doesn't exists in enterprise distributions (rhel and derivatives)

Version-Release number of selected component (if applicable):
nginx-1.20.0-2.module_el8+11910+babecebe.x86_64.rpm


Expected results:
/usr/share/nginx/html/index.html must point to  ../../testpage/index.html
(/usr/share/testpage/index.html)

Comment 1 Fedora Update System 2021-09-08 23:54:17 UTC
FEDORA-MODULAR-2021-96fc6f3c0e has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-96fc6f3c0e

Comment 2 Fedora Update System 2021-09-08 23:54:17 UTC
FEDORA-MODULAR-2021-dc516f4193 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-dc516f4193

Comment 3 Fedora Update System 2021-09-08 23:54:18 UTC
FEDORA-MODULAR-2021-4d48ffe7aa has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-4d48ffe7aa

Comment 4 Fedora Update System 2021-09-08 23:54:19 UTC
FEDORA-EPEL-MODULAR-2021-2b6e30e7f1 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-2b6e30e7f1

Comment 5 Felix Kaechele 2021-09-08 23:55:57 UTC
Thank you for the bug report. The issue was already fixed in the non-modular branch but I forgot to merge it to the 1.20 module stream. Done that now and pushed the updates.

Thanks again!

Comment 6 Fedora Update System 2021-09-09 18:12:21 UTC
FEDORA-MODULAR-2021-dc516f4193 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-dc516f4193

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-09 18:19:59 UTC
FEDORA-MODULAR-2021-96fc6f3c0e has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-96fc6f3c0e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-09 18:20:09 UTC
FEDORA-EPEL-MODULAR-2021-2b6e30e7f1 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-2b6e30e7f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-09 20:32:06 UTC
FEDORA-MODULAR-2021-4d48ffe7aa has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-4d48ffe7aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-17 15:39:08 UTC
FEDORA-MODULAR-2021-96fc6f3c0e has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-09-17 15:41:27 UTC
FEDORA-MODULAR-2021-dc516f4193 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-09-17 15:43:44 UTC
FEDORA-EPEL-MODULAR-2021-2b6e30e7f1 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-24 21:45:47 UTC
FEDORA-MODULAR-2021-4d48ffe7aa has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.